variant_abs
variant_and
COM Functions
PHP Manual

# variant_add

(PHP 5, PHP 7)

variant_add — "Adds" two variant values together and returns the result

### Description

mixed variant_add ( mixed `$left` , mixed `$right` )

Adds `left` to `right` using the following rules (taken from the MSDN library), which correspond to those of Visual Basic:

Variant Addition Rules
If | Then
--- | ---
Both expressions are of the string type | Concatenation
One expression is a string type and the other a character | Addition
One expression is numeric and the other is a string | Addition
Both expressions are numeric | Addition
Either expression is NULL | NULL is returned
Both expressions are empty | Integer subtype is returned

### Parameters

`left`

  The left operand.

`right`

  The right operand.

> Note:

> As with all the variant arithmetic functions, the parameters for this function can be either a PHP native type (integer, string, floating point, boolean or `NULL`), or an instance of a COM, VARIANT or DOTNET class. PHP native types will be converted to variants using the same rules as found in the constructor for the VARIANT class. COM and DOTNET objects will have the value of their default property taken and used as the variant value.

> The variant arithmetic functions are wrappers around the similarly named functions in the COM library; for more information on these functions, consult the MSDN library. The PHP functions are named slightly differently; for example variant_add() in PHP corresponds to VarAdd() in the MSDN documentation.

### Return Values

Returns the result.

### See Also

- variant_sub() - Subtracts the value of the right variant from the left variant value

variant_abs
variant_and
COM Functions
PHP Manual